# How to confirm Action offers via API

When you create an Action offer, conversions must be explicitly confirmed after the subscriber completes the desired action on your website (e.g., signs up for a trial, makes a purchase, downloads a resource).\
​\
This guide explains how to confirm Action conversions using the SparkLoop API.\
​\
​How It Works

1. User clicks offer link
2. User is redirected to your website → You capture the tracking parameters
3. User completes the action -> Purchase/Signup/Download/etc..
4. You call the API → Confirm the conversion with SparkLoop
5. Conversion is processed

***

### Step 1: Capture the Tracking Parameters <a href="#h_1639a94dd2" id="h_1639a94dd2"></a>

When SparkLoop redirects users to your website, we append two query parameters to your redirect URL:

* `submission` — The unique ID for this submission
* `offer` — The unique ID for your offer\
  ​

#### Example Redirect URL

If your offer redirect URL is `https://example.com/signup`, the user will be redirected to:\
​\
​`https://example.com/signup?submission=submission_1234abcd&offer=offer_1234abcd`\
​\
​Important: You must capture and store the `submission` parameter when the user lands on your site. You'll need it to confirm the conversion later.

The offer UUID is always the same for the same offer.

In case you don't know your offer's UUID, you can fetch your offers via the [API](https://docs.sparkloop.app/api-v2/endpoints/offers), or you can find the offer's UUID in your dashboard when you open the offer.

![](https://307340109-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LvjCB8kc4yvMRscfT0m%2Fuploads%2F2FrpGSqUquVIXBxxgSDe%2FScreenshot%202025-11-21%20at%2017.13.33.png?alt=media\&token=1d3efc81-4491-4d97-9c14-38c4db13448b)\
​﻿

***

### Step 2: ﻿Confirm the Conversion <a href="#h_91e03547bb" id="h_91e03547bb"></a>

Once the user completes your desired action, [use the SparkLoop API](https://docs.sparkloop.app/api-v2/endpoints/offers/conversions) to confirm the conversion.

```
POST https://api.sparkloop.app/api/v2/offers/:offer_uuid/submissions/:submission_uuid/conversion
```

\
Replace `:offer_uuid` with the `offer` parameter and `:submission_uuid` with the `submission` parameter from Step 1.

[Here](https://docs.sparkloop.app/api-v2/endpoints/offers) you can find the API docs for this endpoint.​﻿

***

Important Notes

* Action conversions expire after 45 days if not confirmed
* Make sure to confirm conversions as soon as the user completes your desired action
